import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { RightDrawer } from '@app/types';

@Component({
  selector: 'app-layout-messenger-right-drawer',
  templateUrl: './right-drawer.component.html',
  styleUrls: ['./right-drawer.component.scss']
})
export class RightDrawerComponent implements OnInit {
  @Input()
  selectedRightDrawer: RightDrawer;

  @Output()
  openProfile = new EventEmitter<{
    userSeq: number;
  }>();
  @Output()
  closeRightDrawer = new EventEmitter();

  RightDrawer = RightDrawer;

  constructor() {}

  ngOnInit() {}

  onClickOpenProfile(userSeq: number) {
    this.openProfile.emit({ userSeq });
  }

  onClickClose() {
    this.closeRightDrawer.emit();
  }
}
